package com.bonus.canteen.core.menu.vo;

import com.bonus.canteen.core.menu.vo.MenuRecipeDateVO;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

public class AllocRecipeStallVO {
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("当前区域名称")
   private String areaName;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("档口名称")
   private String stallName;
   @ApiModelProperty("餐线类型")
   private Integer mealLineType;
   @ApiModelProperty("餐线id")
   private Long mealLineId;
   @ApiModelProperty("餐线名称")
   private String mealLineName;
   @ApiModelProperty("菜谱id")
   private Long recipeId;
   @ApiModelProperty("菜谱名称")
   private String recipeName;
   private Long DishesCount;
   private MenuRecipeDateVO detail;
   private LocalDateTime uptime;

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public String getStallName() {
      return this.stallName;
   }

   public Integer getMealLineType() {
      return this.mealLineType;
   }

   public Long getMealLineId() {
      return this.mealLineId;
   }

   public String getMealLineName() {
      return this.mealLineName;
   }

   public Long getRecipeId() {
      return this.recipeId;
   }

   public String getRecipeName() {
      return this.recipeName;
   }

   public Long getDishesCount() {
      return this.DishesCount;
   }

   public MenuRecipeDateVO getDetail() {
      return this.detail;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setStallName(final String stallName) {
      this.stallName = stallName;
   }

   public void setMealLineType(final Integer mealLineType) {
      this.mealLineType = mealLineType;
   }

   public void setMealLineId(final Long mealLineId) {
      this.mealLineId = mealLineId;
   }

   public void setMealLineName(final String mealLineName) {
      this.mealLineName = mealLineName;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setRecipeName(final String recipeName) {
      this.recipeName = recipeName;
   }

   public void setDishesCount(final Long DishesCount) {
      this.DishesCount = DishesCount;
   }

   public void setDetail(final MenuRecipeDateVO detail) {
      this.detail = detail;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }
}
